Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 728046 - some qa notices do not begin with "QA Notice"
Summary: some qa notices do not begin with "QA Notice"
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL: https://archives.gentoo.org/gentoo-de...
Whiteboard:
Keywords: InVCS
Depends on: 921380
Blocks: 813321 813324 813330 813333 813336 813339 813345 813348 813351 813354 813366 813369 813342 813357 813360 813363
  Show dependency tree
 
Reported: 2020-06-12 08:29 UTC by Agostino Sarubbo
Modified: 2024-02-22 07:24 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-06-12 08:29:07 UTC
There are qa notices like:

 * One or more compressed files were found in docompress-ed directories.
 * Please fix the ebuild not to install compressed files (manpages,
 * documentation) when automatic compression is used:
 * 
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/bitcount/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/largest_prime_factor/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/there_and_back_again/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/random_access_list/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/foveoos11_challenge2/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/optimal_replay/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/arm/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/pairing_heap_bin/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/prover/ProverTest/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/prover/Firstorder_formula_impl/why3shapes.gz
 *   /usr/share/doc/why3-for-spark-2019-r1/examples/prover/OptionFuncs/why3shapes.gz

They do not begin with QA notice, so it is hard to catch them with a parser. Can all check like this begin with qa notice?
Comment 1 Larry the Git Cow gentoo-dev 2020-06-14 19:12:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/portage.git/commit/?id=e838026204d9e8ff63cac5c33a86b0b1f179f3e1

commit e838026204d9e8ff63cac5c33a86b0b1f179f3e1
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-06-14 19:10:21 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-06-14 19:10:59 +0000

    ecompress: prefix eqawarn messages with QA Notice (bug 728046)
    
    Reported-by: Agostino Sarubbo <ago@gentoo.org>
    Bug: https://bugs.gentoo.org/728046
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 bin/ecompress | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)
Comment 2 Zac Medico gentoo-dev 2020-06-14 19:19:01 UTC
Note that if you set PORTAGE_ELOG_CLASSES="${PORTAGE_ELOG_CLASSES} qa" then all eqawarn messages will appear in /var/log/portage/elog/summary.log with a QA tag. For example, here's a recent message from my log:

> >>> Messages generated by process 97496 on 2020-06-12 12:36:18 PDT for package dev-python/jsonschema-3.2.0:
> 
> QA: compile
> DISTUTILS_USE_SETUPTOOLS value is probably incorrect
>   value:    DISTUTILS_USE_SETUPTOOLS=bdepend (default?)
>   expected: DISTUTILS_USE_SETUPTOOLS=rdepend
Comment 3 Larry the Git Cow gentoo-dev 2020-06-14 23:47:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5330fc62703c0e2c535eb2ac8247d43faf501c8e

commit 5330fc62703c0e2c535eb2ac8247d43faf501c8e
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-06-14 23:33:47 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-06-14 23:47:09 +0000

    sys-apps/portage: Bump to version 2.3.101
    
     #661518 repos.conf: Add bool sync-openpgp-key-refresh option
     #709746 New PORTAGE_LOG_FILTER_FILE_CMD variable specifies a
             command that filters build log output to a log file
     #719810 Escape percent-signs in mirror url
     #725934 _better_cache._scan_cat: Avoid stat calls
     #728046 ecompress: Prefix eqawarn messages with QA Notice
    
    Bug: https://bugs.gentoo.org/721152
    Bug: https://bugs.gentoo.org/661518
    Bug: https://bugs.gentoo.org/709746
    Bug: https://bugs.gentoo.org/719810
    Bug: https://bugs.gentoo.org/725934
    Bug: https://bugs.gentoo.org/728046
    Package-Manager: Portage-2.3.101, Repoman-2.3.22
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 sys-apps/portage/Manifest               |   1 +
 sys-apps/portage/portage-2.3.101.ebuild | 263 ++++++++++++++++++++++++++++++++
 2 files changed, 264 insertions(+)
Comment 4 Agostino Sarubbo gentoo-dev 2020-06-18 07:15:56 UTC
The same happens for:

 * The ebuild is installing to one or more unexpected paths:
Comment 5 Agostino Sarubbo gentoo-dev 2020-06-24 11:21:57 UTC
The same happens for the check about python byte compiled:

This package installs one or more Python modules that are not byte-compiled.
Comment 6 Zac Medico gentoo-dev 2020-06-24 16:45:29 UTC
(In reply to Agostino Sarubbo from comment #5)
> The same happens for the check about python byte compiled:
> 
> This package installs one or more Python modules that are not byte-compiled.

That message comes from 60python-pyc in the gentoo repository here:

https://gitweb.gentoo.org/repo/gentoo.git/tree/metadata/install-qa-check.d

Each of the scripts in that directory calls eqawarn. Adding the "QA Notice:" part automatically would interfere with the formatting of these messages which are wrapped at ~80 columns.
Comment 7 Agostino Sarubbo gentoo-dev 2020-07-16 12:38:54 UTC
Same issue happens for check in /usr/share/appdata:

 * This package seems to install metainfo files into the following
 * location(s):
 * 
 *   /usr/share/appdata
 * 
 * This location is deprecated, it should not be used anymore by new software.
 * Appdata/Metainfo files should be installed into /usr/share/metainfo directory.
 * For more details, please see the freedesktop Upstream Metadata guidelines at
 * https://www.freedesktop.org/software/appstream/docs/chap-Metadata.html
 * 
 * Gentoo Tracker bug: https://bugs.gentoo.org/709450
Comment 8 Larry the Git Cow gentoo-dev 2021-06-28 08:56:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=240bcc0be5412ff36dc338af3c34717b96a9a4e4

commit 240bcc0be5412ff36dc338af3c34717b96a9a4e4
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-06-28 08:53:03 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-06-28 08:56:02 +0000

    metadata/install-qa-check.d: add "QA Notice:" string to some checks
    
    Bug: https://bugs.gentoo.org/728046
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 metadata/install-qa-check.d/60appdata-path  | 5 ++---
 metadata/install-qa-check.d/60libcrypt-deps | 2 +-
 2 files changed, 3 insertions(+), 4 deletions(-)
Comment 9 Georgy Yakovlev archtester gentoo-dev 2021-06-28 09:01:26 UTC
added QA to CC

WDYT about prefixing all the repo checks with "QA Notice:"
?

I can do it if you ok it.
Comment 10 Michael 'veremitz' Everitt 2021-06-28 12:33:47 UTC
Why isn't there a standardised way of doing this? I see there is a lack of eqawarn function in https://github.com/gentoo/portage/blob/99d116d5b8d243aa4ed5365cbde05fa9e90bf6eb/lib/portage/output.py#L480 but pretty sure that's only one [tangential?] part of it ...
Comment 11 Zac Medico gentoo-dev 2021-06-28 14:42:37 UTC
(In reply to Michael 'veremitz' Everitt from comment #10)
> Why isn't there a standardised way of doing this? I see there is a lack of
> eqawarn function in
> https://github.com/gentoo/portage/blob/
> 99d116d5b8d243aa4ed5365cbde05fa9e90bf6eb/lib/portage/output.py#L480 but
> pretty sure that's only one [tangential?] part of it ...

Are you suggesting a change to the eqawarn function, or a new function?
Comment 12 Zac Medico gentoo-dev 2021-06-28 15:58:49 UTC
(In reply to Georgy Yakovlev from comment #9)
> added QA to CC
> 
> WDYT about prefixing all the repo checks with "QA Notice:"
> ?
> 
> I can do it if you ok it.

> [08:00:13] <mgorny> if we did, say, 'qa> ' instead of ' * '
> [08:00:22] <mgorny> that would only add 1 char
> [08:00:40] <mgorny> so the risk of exceeding line width would be minimal
> [08:53:04] <zmedico> qa> prefix perfectly fits the spirit of bug 728046
> [08:54:05] <zmedico> that should resolve all the questions and complaints I believe
Comment 13 Larry the Git Cow gentoo-dev 2021-06-28 18:47:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28ada16af437c0f2955f222abd03730ae2e299d6

commit 28ada16af437c0f2955f222abd03730ae2e299d6
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-06-28 18:12:02 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-06-28 18:46:57 +0000

    metadata/install-qa-check.d: add QA Notice string to all checks
    
    and re-wrap some lines to fit into 80 char limit
    
    Bug: https://bugs.gentoo.org/728046
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 metadata/install-qa-check.d/08gentoo-paths             | 2 +-
 metadata/install-qa-check.d/60appdata-path             | 4 ++--
 metadata/install-qa-check.d/60distutils-use-setuptools | 6 ++++--
 metadata/install-qa-check.d/60gtk-doc-paths            | 6 +++---
 metadata/install-qa-check.d/60python-pyc               | 7 ++++---
 metadata/install-qa-check.d/60python-tests             | 2 +-
 6 files changed, 15 insertions(+), 12 deletions(-)
Comment 14 Agostino Sarubbo gentoo-dev 2021-07-02 08:01:53 UTC
everything is fixed in metadata/

@Zac:

would you mind to update:
- 60bash-completion
- 90bad-bin-group-write
- 90bad-bin-owner
- 90cmake-warnings
- 90world-writable
- 95empty-dirs

With those I guess we've done here.

Thanks
Comment 15 Mike Gilbert gentoo-dev 2021-09-16 15:28:20 UTC
These changes make no sense to me. It would have made more sense to update one place (the eqawarn function) instead of updating every call site with boilerplate text.

Also, is there a policy in place to prevent people from introducing new un-prefixed messages?
Comment 16 Ulrich Müller gentoo-dev 2021-09-16 19:21:55 UTC
(In reply to Mike Gilbert from comment #15)
> These changes make no sense to me. It would have made more sense to update
> one place (the eqawarn function) instead of updating every call site with
> boilerplate text.

From a PMS point of view, nothing would stop the package manager to output a prefix like "QA warning: " for these messages.

Policy reference:
https://projects.gentoo.org/pms/8/pms.html#x1-12500012.3.5
Comment 17 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-09-29 09:37:48 UTC
In the end, we're probably going to revert these explicit "QA Notice" messages in favor of using "[QA]" prefix (or alike) on all eqawarn messages.
Comment 18 Andreas Sturmlechner gentoo-dev 2022-07-14 13:28:35 UTC
So, is this still 'on'?
Comment 19 Larry the Git Cow gentoo-dev 2024-02-09 07:09:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/portage.git/commit/?id=d801ec255a6725775b5e3d672b8c00e9c0095200

commit d801ec255a6725775b5e3d672b8c00e9c0095200
Author:     Agostino Sarubbo <ago@gentoo.org>
AuthorDate: 2024-01-26 11:14:48 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-02-09 07:09:43 +0000

    bin: prefix eqawarn with 'QA Notice'
    
    Bug: https://bugs.gentoo.org/728046
    Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
    Closes: https://github.com/gentoo/portage/pull/1239
    Signed-off-by: Sam James <sam@gentoo.org>

 bin/ebuild-helpers/dohtml                    | 2 +-
 bin/ebuild-helpers/fowners                   | 2 +-
 bin/ebuild-helpers/fperms                    | 2 +-
 bin/install-qa-check.d/05prefix              | 6 +++---
 bin/install-qa-check.d/60bash-completion     | 4 ++--
 bin/install-qa-check.d/90bad-bin-group-write | 2 +-
 bin/install-qa-check.d/90bad-bin-owner       | 2 +-
 bin/install-qa-check.d/90cmake-warnings      | 2 +-
 bin/install-qa-check.d/90world-writable      | 2 +-
 bin/install-qa-check.d/95empty-dirs          | 2 +-
 10 files changed, 13 insertions(+), 13 deletions(-)
Comment 20 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-02-09 07:11:14 UTC
(In reply to Michał Górny from comment #17)
> In the end, we're probably going to revert these explicit "QA Notice"
> messages in favor of using "[QA]" prefix (or alike) on all eqawarn messages.

Fine with me if/when it happens, but let's be consistent first.
Comment 21 Larry the Git Cow gentoo-dev 2024-02-22 07:24:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77c44c46194922509bc4f2b5cfc099412a560a69

commit 77c44c46194922509bc4f2b5cfc099412a560a69
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2024-02-22 07:23:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-02-22 07:23:50 +0000

    sys-apps/portage: add 3.0.62
    
    Closes: https://bugs.gentoo.org/663324
    Closes: https://bugs.gentoo.org/728046
    Closes: https://bugs.gentoo.org/891137
    Closes: https://bugs.gentoo.org/906368
    Closes: https://bugs.gentoo.org/916566
    Closes: https://bugs.gentoo.org/921170
    Closes: https://bugs.gentoo.org/921208
    Closes: https://bugs.gentoo.org/921400
    Closes: https://bugs.gentoo.org/922038
    Closes: https://bugs.gentoo.org/922142
    Closes: https://bugs.gentoo.org/923368
    Closes: https://bugs.gentoo.org/923750
    Closes: https://bugs.gentoo.org/923841
    Closes: https://bugs.gentoo.org/923852
    Closes: https://bugs.gentoo.org/923854
    Closes: https://bugs.gentoo.org/924192
    Closes: https://bugs.gentoo.org/924273
    Closes: https://bugs.gentoo.org/924585
    Closes: https://bugs.gentoo.org/921380
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-apps/portage/Manifest              |   1 +
 sys-apps/portage/portage-3.0.62.ebuild | 246 +++++++++++++++++++++++++++++++++
 2 files changed, 247 insertions(+)